%define		tarball		xf86-video-r128
%define		moduledir	%(pkg-config xorg-server --variable=moduledir )
%define		driverdir	%{moduledir}/drivers

Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Xorg X11 r128 video driver
Name:		xorg-x11-drv-r128
Version:	6.8.1
Release:	1
URL:		http://www.x.org
License:	MIT/X11
Group:		User Interface/X Hardware Support
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0:	%{tarball}-%{version}.tar.bz2
Source200:	r128.xinf

BuildRequires:	pkg-config
BuildRequires:	xorg-x11-server-sdk >= 1.1.1
BuildRequires:	mesa-libGL-devel
BuildRequires:	libdrm-devel
BuildRequires:	pixman-devel
BuildRequires:	libpciaccess-devel

Requires:	xorg-x11-server-Xorg >= 1.1.1

%description 
X.Org X11 r128 video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE200} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# INFO: We don't want to ship the libtool archives (*.la) from modules
# directory, as they serve no useful purpose.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/r128_drv.so
%{_datadir}/hwdata/videoaliases/r128.xinf
%{_mandir}/man4/r128.4.gz

%changelog
* Tue Aug 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 6.8.1-1
- Version Update
* Sat May 23 2009 Christian Wasem <wasem@ccux-linux.de> 6.8.0-2
- rebuilt against x.org 1.6.1.901
* Sun Sep 17 2008 Stefan Gottwald <gotti@ccux-linux.de> 6.8.0-1
- Initial release
